diff --git a/changelog b/changelog
index c797884..a98e7e9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091009 tpd src/axiom-website/patches.html 20091009.02.tpd.patch
+20091009 tpd src/interp/compress.lisp cleanup
 20091009 tpd src/axiom-website/patches.html 20091009.01.tpd.patch
 20091009 tpd src/interp/database.lisp cleanup
 20091008 tpd src/axiom-website/patches.html 20091008.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ad75b54..0eb6ddd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2137,5 +2137,7 @@ src/interp/g-boot.lisp cleanup<br/>
 src/interp/format.lisp cleanup<br/>
 <a href="patches/20091009.01.tpd.patch">20091009.01.tpd.patch</a>
 src/interp/database.lisp cleanup<br/>
+<a href="patches/20091009.02.tpd.patch">20091009.02.tpd.patch</a>
+src/interp/compress.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/compress.lisp.pamphlet b/src/interp/compress.lisp.pamphlet
index 1699280..c625dc5 100644
--- a/src/interp/compress.lisp.pamphlet
+++ b/src/interp/compress.lisp.pamphlet
@@ -45,47 +45,46 @@
 ;
 
 (DEFUN |minimalise,HashCheck| (|x|)
- (PROG (|y|)
-  (RETURN
-   (SEQ
-    (SPADLET |y| (HGET |$hash| |x|))
-    (IF |y| (EXIT |y|))
-    (HPUT |$hash| |x| |x|)
-    (EXIT |x|))))) 
+  (PROG (|y|)
+    (DECLARE (SPECIAL |$hash|))
+    (RETURN
+      (SEQ (SPADLET |y| (HGET |$hash| |x|)) (IF |y| (EXIT |y|))
+           (HPUT |$hash| |x| |x|) (EXIT |x|)))))
 
 (DEFUN |minimalise,min| (|x|)
- (PROG (|y| |z|)
-  (RETURN
-   (SEQ
-    (SPADLET |y| (HGET |$hash| |x|))
-    (IF |y| (EXIT |y|))
-    (IF (PAIRP |x|)
-     (EXIT
-      (SEQ
-       (IF (BOOT-EQUAL |x| (QUOTE (QUOTE T))) (EXIT (QUOTE (QUOTE T))))
-       (SPADLET |z| (|minimalise,min| (CAR |x|)))
-       (IF (NULL (EQ |z| (CAR |x|))) (RPLACA |x| |z|) NIL)
-       (SPADLET |z| (|minimalise,min| (CDR |x|)))
-       (IF (NULL (EQ |z| (CDR |x|))) (RPLACD |x| |z|) NIL)
-       (EXIT (|minimalise,HashCheck| |x|)))))
-    (IF (REFVECP |x|)
-     (EXIT
-      (SEQ
-       (DO ((#0=#:G166068 (MAXINDEX |x|)) (|i| 0 (QSADD1 |i|)))
-           ((QSGREATERP |i| #0#) NIL)
-        (SEQ (EXIT (SETELT |x| |i| (|minimalise,min| (ELT |x| |i|))))))
-       (EXIT (|minimalise,HashCheck| |x|)))))
-    (IF (STRINGP |x|) (EXIT (|minimalise,HashCheck| |x|)))
-    (EXIT |x|))))) 
+  (PROG (|y| |z|)
+    (DECLARE (SPECIAL |$hash|))
+    (RETURN
+      (SEQ (SPADLET |y| (HGET |$hash| |x|)) (IF |y| (EXIT |y|))
+           (IF (PAIRP |x|)
+               (EXIT (SEQ (IF (BOOT-EQUAL |x| ''T) (EXIT ''T))
+                          (SPADLET |z| (|minimalise,min| (CAR |x|)))
+                          (IF (NULL (EQ |z| (CAR |x|)))
+                              (RPLACA |x| |z|) NIL)
+                          (SPADLET |z| (|minimalise,min| (CDR |x|)))
+                          (IF (NULL (EQ |z| (CDR |x|)))
+                              (RPLACD |x| |z|) NIL)
+                          (EXIT (|minimalise,HashCheck| |x|)))))
+           (IF (REFVECP |x|)
+               (EXIT (SEQ (DO ((G166068 (MAXINDEX |x|))
+                               (|i| 0 (QSADD1 |i|)))
+                              ((QSGREATERP |i| G166068) NIL)
+                            (SEQ (EXIT (SETELT |x| |i|
+                                        (|minimalise,min|
+                                         (ELT |x| |i|))))))
+                          (EXIT (|minimalise,HashCheck| |x|)))))
+           (IF (STRINGP |x|) (EXIT (|minimalise,HashCheck| |x|)))
+           (EXIT |x|)))))
 
 (DEFUN |minimalise| (|x|)
- (PROG (|$hash|)
- (DECLARE (SPECIAL |$hash|))
-  (RETURN
-   (PROGN
-    (SPADLET |$hash| (MAKE-HASHTABLE (QUOTE UEQUAL)))
-    (|minimalise,min| |x|) |x|)))) 
- 
+  (PROG (|$hash|)
+    (DECLARE (SPECIAL |$hash|))
+    (RETURN
+      (PROGN
+        (SPADLET |$hash| (MAKE-HASHTABLE 'UEQUAL))
+        (|minimalise,min| |x|)
+        |x|))))
+
 @
 \eject
 \begin{thebibliography}{99}
